GET api/Report/GetTPOBillingReport?distId={distId}&sDate={sDate}&eDate={eDate}&DairyPlantID={DairyPlantID}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| distId | integer |
Required |
|
| sDate | date |
Required |
|
| eDate | date |
Required |
|
| DairyPlantID | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of TpoBillingReport| Name | Description | Type | Additional information |
|---|---|---|---|
| Quantity | integer |
None. |
|
| Unit | string |
None. |
|
| UnitPrice | decimal number |
None. |
|
| GrossAmount | decimal number |
None. |
|
| TaxValue | decimal number |
None. |
|
| GST | decimal number |
None. |
|
| CGST | decimal number |
None. |
|
| IGST | decimal number |
None. |
|
| SGST | decimal number |
None. |
|
| TotalVal | decimal number |
None. |
|
| DairyPlantName | string |
None. |
|
| BuyerLegalName | string |
None. |
|
| GSTNO | string |
None. |
|
| Code | string |
None. |
|
| DocNo | string |
None. |
|
| TcsApplicable | decimal number |
None. |
|
| ItemName | string |
None. |
|
| HSNCode | string |
None. |
|
| InvoiceDate | date |
None. |
|
| DistributorId | integer |
None. |
|
| FreeQuantity | integer |
None. |
|
| FreeItemName | string |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"quantity": 1,
"unit": "sample string 2",
"unitPrice": 3.0,
"grossAmount": 4.0,
"taxValue": 5.0,
"gst": 6.0,
"cgst": 7.0,
"igst": 8.0,
"sgst": 9.0,
"totalVal": 10.0,
"dairyPlantName": "sample string 11",
"buyerLegalName": "sample string 12",
"gstno": "sample string 13",
"code": "sample string 14",
"docNo": "sample string 15",
"tcsApplicable": 16.0,
"itemName": "sample string 17",
"hsnCode": "sample string 18",
"invoiceDate": "2026-04-13T20:20:46.1697528+05:30",
"distributorId": 20,
"freeQuantity": 21,
"freeItemName": "sample string 22"
},
{
"quantity": 1,
"unit": "sample string 2",
"unitPrice": 3.0,
"grossAmount": 4.0,
"taxValue": 5.0,
"gst": 6.0,
"cgst": 7.0,
"igst": 8.0,
"sgst": 9.0,
"totalVal": 10.0,
"dairyPlantName": "sample string 11",
"buyerLegalName": "sample string 12",
"gstno": "sample string 13",
"code": "sample string 14",
"docNo": "sample string 15",
"tcsApplicable": 16.0,
"itemName": "sample string 17",
"hsnCode": "sample string 18",
"invoiceDate": "2026-04-13T20:20:46.1697528+05:30",
"distributorId": 20,
"freeQuantity": 21,
"freeItemName": "sample string 22"
}
]
application/xml, text/xml
Sample:
<ArrayOfTpoBillingReport xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities">
<TpoBillingReport>
<BuyerLegalName>sample string 12</BuyerLegalName>
<CGST>7</CGST>
<Code>sample string 14</Code>
<DairyPlantName>sample string 11</DairyPlantName>
<DistributorId>20</DistributorId>
<DocNo>sample string 15</DocNo>
<FreeItemName>sample string 22</FreeItemName>
<FreeQuantity>21</FreeQuantity>
<GST>6</GST>
<GSTNO>sample string 13</GSTNO>
<GrossAmount>4</GrossAmount>
<HSNCode>sample string 18</HSNCode>
<IGST>8</IGST>
<InvoiceDate>2026-04-13T20:20:46.1697528+05:30</InvoiceDate>
<ItemName>sample string 17</ItemName>
<Quantity>1</Quantity>
<SGST>9</SGST>
<TaxValue>5</TaxValue>
<TcsApplicable>16</TcsApplicable>
<TotalVal>10</TotalVal>
<Unit>sample string 2</Unit>
<UnitPrice>3</UnitPrice>
</TpoBillingReport>
<TpoBillingReport>
<BuyerLegalName>sample string 12</BuyerLegalName>
<CGST>7</CGST>
<Code>sample string 14</Code>
<DairyPlantName>sample string 11</DairyPlantName>
<DistributorId>20</DistributorId>
<DocNo>sample string 15</DocNo>
<FreeItemName>sample string 22</FreeItemName>
<FreeQuantity>21</FreeQuantity>
<GST>6</GST>
<GSTNO>sample string 13</GSTNO>
<GrossAmount>4</GrossAmount>
<HSNCode>sample string 18</HSNCode>
<IGST>8</IGST>
<InvoiceDate>2026-04-13T20:20:46.1697528+05:30</InvoiceDate>
<ItemName>sample string 17</ItemName>
<Quantity>1</Quantity>
<SGST>9</SGST>
<TaxValue>5</TaxValue>
<TcsApplicable>16</TcsApplicable>
<TotalVal>10</TotalVal>
<Unit>sample string 2</Unit>
<UnitPrice>3</UnitPrice>
</TpoBillingReport>
</ArrayOfTpoBillingReport>